Announcement

Collapse
No announcement yet.

HS4 version seems to be installed but updater thinks HS3

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    HS4 version seems to be installed but updater thinks HS3

    Here is a strange one, I have the HS4 version of this PI installed, or so it seems. However when I go look at the main plugins page, it does not show the HS4 version as installed via the blue hightlight. Rather it shows the HS3 version. however when I click on the HS 3 version, I only get an option to install, whereas the HS4 version I get the option to Reinstall or Remove. Everything seems to be working otherwise.

    Click image for larger version

Name:	mcsmqtt.png
Views:	82
Size:	43.0 KB
ID:	1551484

    #2
    Not much I can say about this. Both plugins look to HS4 as HSPI_MCSMQTT,exe. The plugin page must use a different algorithm to determine the vintage for two logic paths.

    Comment


      #3
      Originally posted by Dweber85rc View Post
      Here is a strange one, I have the HS4 version of this PI installed, or so it seems. However when I go look at the main plugins page, it does not show the HS4 version as installed via the blue hightlight. Rather it shows the HS3 version. however when I click on the HS 3 version, I only get an option to install, whereas the HS4 version I get the option to Reinstall or Remove. Everything seems to be working otherwise.

      Click image for larger version

Name:	mcsmqtt.png
Views:	82
Size:	43.0 KB
ID:	1551484
      Same here.

      Comment


        #4
        Originally posted by HansSchouten View Post

        Same here.
        Well at least it's not just me then. Sounds like a homeseer problem.

        Comment


          #5
          Installed HS4 version on Pi
          Received a install successful
          Does not show up in plug in list
          Does not show up on the about page
          Shut down and restart
          Same as above

          Comment


            #6
            Adding error from log
            Examining properties on plugin (2) HSPI_MCSMQTT.exe: Object reference not set to an instance of an object.

            Comment


              #7
              Take a look at Install of latest HS4 version of mcsMQTT fails - HomeSeer Message Board

              I have submitted 5.24.10.0 to the Updater so it should be available soon and need for after-install fixes not needed.

              There was also a post about HS confusion about HS3 vs. HS4 plugin. Nothing I can do about that as both plugins have the same name and HS needs to keep track of which API they are referencing to know if HS3 or HS4 plugin.

              Comment


                #8
                Thank you Michael

                Comment

                Working...
                X